规则集使用中

Moses Skoda工程师预计阅读 1 分钟

API 会返回 409 Conflict,并附带此错误信息。其 type 为 https://lingo.dev/docs/api/errors/ruleset-in-use。有关所有错误共有的结构,请参阅错误和状态码。

规则集 <id> 正被 2 个引擎使用,无法删除。请先将其从这些引擎中移除。

字段#

除标准的 type、status、title 和 detail 成员外,响应体还包含以下字段。detail 文本根据这些字段生成,因此客户端也可以显示自定义文本。

字段类型
idstring
engineCountinteger | null

示例#

json
{
  "detail": "Ruleset <id> cannot be deleted while 2 engines apply it. Detach it from those engines first.",
  "id": "<id>",
  "engineCount": 2,
  "type": "https://lingo.dev/docs/api/errors/ruleset-in-use",
  "status": 409,
  "title": "Ruleset in use"
}

返回此错误的端点#

  • DELETE /v2/rulesets/{id}